# Generated from sheriff-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sheriff

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Utility for hiding and showing features based on context
License: MIT
URL: http://github.com/anthonynavarre/sheriff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
# BuildRequires: rubygem(redgreen) = 1.2.2
# BuildRequires: rubygem(test-unit) = 2.1.2
BuildArch: noarch

%description
Sheriff allows you to define "FeatureSets" and designate
under which contexts the FeatureSet should be visible (eg: a specific view or
controller).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.pairs
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/ROADMAP.md
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG.txt
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/sheriff.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.2-1
- Initial package
